org.richfaces.component

## Class UIInputNumberSlider

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIRangedNumberInput
          - - org.richfaces.component.UIInputNumberSlider

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder
  Direct Known Subclasses:
    HtmlInputNumberSlider

      public abstract class UIInputNumberSlider
      extends org.richfaces.component.UIRangedNumberInput

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIInputNumberSlider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getHeight()`
    `abstract java.lang.String` | `getStyle()`
    `abstract java.lang.String` | `getWidth()`
    `abstract void` | `setHeight(java.lang.String height)`
    `abstract void` | `setStyle(java.lang.String style)`
    `abstract void` | `setWidth(java.lang.String width)`

    - ### Methods inherited from class org.richfaces.component.UIRangedNumberInput

      `decode, getMaxValue, getMinValue, isDisabled, setDisabled, setMaxValue, setMinValue, validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIInputNumberSlider

          public UIInputNumberSlider()

  - ### Method Detail

    - #### getWidth

          public abstract java.lang.String getWidth()

    - #### setWidth

          public abstract void setWidth(java.lang.String width)

    - #### getHeight

          public abstract java.lang.String getHeight()

    - #### setHeight

          public abstract void setHeight(java.lang.String height)

    - #### getStyle

          public abstract java.lang.String getStyle()

    - #### setStyle

          public abstract void setStyle(java.lang.String style)

Copyright © 2013. All Rights Reserved.